Now incompatible to FF3.x Puntuado con 2 de 5 estrellas

In fact version 3.3 is not longer compatible with Firefox 3.6.x:
Makes context-menus transparent and nearly unreadable. Some symbols have vanished, e.g. the complete symbol bar in the add-on-Manager!
Please fix it or change the compatibility note.

Firefox nags permanently offering this "update", two times it had been installed by accident and I had to restore the good old 3.2-version from backup.
3.2 worked fine, no need for such an update for people not using one of Firefox's inflationary "rabbit releases".